#ifndef RENDER_OBJECT_H
#define RENDER_OBJECT_H
#include "entity.cuh"
#include "common.cuh" //TODO color

class Render_object : public Entity {
  using Entity::Entity;
  public:
    virtual __device__ T distance_estimator(vect3 point) const = 0;
    virtual __device__ Color get_color(struct Ray ray) const = 0;

};

#endif
