#ifndef SPHERE_H
#define SPHERE_H

#include "render_object.cuh"
#include "common.cuh"

class Sphere : public Render_object {
  using Render_object::Render_object;
  public:
   __device__ T distance_estimator(vect3 point) const;
   __device__ Color get_color(struct Ray ray) const;
  private:
    T r_ = 1;
};


#endif
